#!/bin/bash
set -Eeuo pipefail

dir=$(dirname $(realpath -s $(readlink -f $BASH_SOURCE)))
. $dir/../config.sh

GO_VERSION="1.17.5"
arch=$(dpkg --print-architecture)

if [ "$arch" = "armhf" ] ; then
    arch="armv6l"
fi

wget "https://golang.org/dl/go${GO_VERSION}.linux-${arch}.tar.gz"
tar -C /usr/local -xvf "go${GO_VERSION}.linux-${arch}.tar.gz"
rm -f "go${GO_VERSION}.linux-${arch}.tar.gz"

cat > /etc/profile.d/golang.sh << "EOF"
    GOPATH=/usr/local/src/go
    PATH=/usr/local/go/bin:$PATH:$GOPATH/bin
    export GOPATH
    export PATH
EOF
